javax.jdo.metadata

## Interface PrimaryKeyMetadata

- All Superinterfaces:
    Metadata

      public interface PrimaryKeyMetadata
      extends Metadata

  Represents the primary key definition of a class.
  Since:
    3.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getColumn()` Accessor for the PK column name.
    `ColumnMetadata[]` | `getColumns()` Accessor for all column(s) defined on the PK.
    `String` | `getName()` Accessor for the name of the PK constraint.
    `int` | `getNumberOfColumns()` Accessor for the number of columns defined for this PK.
    `ColumnMetadata` | `newColumnMetadata()` Add a new column for this PK.
    `PrimaryKeyMetadata` | `setColumn(String column)` Method to set the PK column name.
    `PrimaryKeyMetadata` | `setName(String name)` Method to set the name of the PK constraint.

    - ### Methods inherited from interface javax.jdo.metadata.Metadata

      `getExtensions, getNumberOfExtensions, getParent, newExtensionMetadata`

- - ### Method Detail

    - #### setName

          PrimaryKeyMetadata setName(String name)

      Method to set the name of the PK constraint.
      Parameters:
        `name` - Name of the PK constraint
      Returns:
        The PK metadata

    - #### getName

          String getName()

      Accessor for the name of the PK constraint.
      Returns:
        The PK constraint name

    - #### setColumn

          PrimaryKeyMetadata setColumn(String column)

      Method to set the PK column name.
      Parameters:
        `column` - Name of the PK column
      Returns:
        The PK metadata

    - #### getColumn

          String getColumn()

      Accessor for the PK column name.
      Returns:
        The column name

    - #### getColumns

          ColumnMetadata[] getColumns()

      Accessor for all column(s) defined on the PK.
      Returns:
        The column(s)

    - #### newColumnMetadata

          ColumnMetadata newColumnMetadata()

      Add a new column for this PK.
      Returns:
        The ColumnMetadata

    - #### getNumberOfColumns

          int getNumberOfColumns()

      Accessor for the number of columns defined for this PK.
      Returns:
        The number of columns

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.